package tech.mercantec.easyeat.models

import kotlinx.serialization.Serializable

@Serializable
data class Recipe(
    val name: String,
    val description: String,
    val directions: List<String>,
    val ingredients: List<Ingredient>
)

@Serializable
data class Ingredient(
    val amount: Double?,
    val unit: String?,
    val name: String
)
