package tech.mercantec.easyeat.helpers

import android.content.Context
import kotlinx.serialization.Serializable
import tech.mercantec.easyeat.models.Recipe

@Serializable
data class GenerateRecipeRequest(val dish: String, val language: String, val numberOfRecipes: Int, val allergi: Array<String>)

fun generateRecipeWithAI(ctx: Context, title: String, language: String): Recipe {
    return requestJson<GenerateRecipeRequest, Recipe>(ctx, "POST", "/api/Recipe/chatbot", GenerateRecipeRequest(title, language, 1, arrayOf()))
}
