﻿using API.Models.RecipeModels;
using API.Models.ShoppingListModels;
using API.Models.UserModels;
using Microsoft.EntityFrameworkCore;

namespace API.DBAccess
{
    public class DBContext : DbContext
    {
        public DbSet<User> Users { get; set; }

        public DbSet<Recipe> Recipes { get; set; }

        public DbSet<ShoppingListItem> ShoppingList { get; set; }

        public DBContext(DbContextOptions<DBContext> options) : base(options) { }
    }
}
