﻿using API.Models.RecipeModels;
using API.Models.ShoppingListModels;

namespace API.Models.UserModels
{
    public class User
    {
        public int Id { get; set; }

        public string UserName { get; set; }

        public string Password { get; set; }

        public string Email { get; set; }

        public string? Salt { get; set; }

        public string? RefreshToken  { get; set; }

        public DateTime RefreshTokenExpireAt { get; set; }

        public List<Recipe> Recipes { get; set; }

        public List<ShoppingListItem> ShoppingList { get; set; }
    }
}
